import { Component, OnInit } from '@angular/core';
import { CommonModule } from '@angular/common';
import { IonicModule } from '@ionic/angular';
import { FormsModule } from '@angular/forms';
import { addIcons } from 'ionicons';
import { flame,star} from 'ionicons/icons';

@Component({
  selector: 'app-page-recommend',
  templateUrl: './page-recommend.component.html',
  styleUrls: ['./page-recommend.component.scss'],
  standalone: true,
  imports: [
    CommonModule,
    IonicModule,
    FormsModule,
  ],
})
export class PageRecommendComponent  implements OnInit {
  selectedSegment: string = 'food'; // 默认选中美食

  constructor() { 
      addIcons({ flame,star});
  }

  ngOnInit() {}
  

  segmentChanged(event: any) {
    this.selectedSegment = event.detail.value; // 更新选中的段
  }

}
